summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author Nikolas Nyby <machpizza@gmail.com>2010-05-11 22:53:11 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:53:11 +0200
commita00440277105011ccf9e069032b670a552c3ee00 (patch)
tree9c7691d1c26c1db83905546b0cff8026381cf932 /audio
parent905db6d99a1e20b66a02efcb30006d6ab326d51d (diff)
downloadslackbuilds-a00440277105011ccf9e069032b670a552c3ee00.tar.gz
slackbuilds-a00440277105011ccf9e069032b670a552c3ee00.tar.xz
audio/milkytracker: Added to 12.1 repository
Diffstat (limited to 'audio')
-rw-r--r--audio/milkytracker/README5
-rw-r--r--audio/milkytracker/doinst.sh3
-rw-r--r--audio/milkytracker/milkytracker.SlackBuild73
-rw-r--r--audio/milkytracker/milkytracker.desktop8
-rw-r--r--audio/milkytracker/milkytracker.info8
-rw-r--r--audio/milkytracker/slack-desc19
6 files changed, 116 insertions, 0 deletions
diff --git a/audio/milkytracker/README b/audio/milkytracker/README
new file mode 100644
index 0000000000..c33e3bc40e
--- /dev/null
+++ b/audio/milkytracker/README
@@ -0,0 +1,5 @@
+This is MilkyTracker 0.90.80. MilkyTracker is an audio tracker, and can create
+standard .MOD and .XM module files. ALSA is required. JACK is not required,
+though support is available. If you have JACK and would like to use it with
+MilkyTracker, add --with-jack to the configuration options in the SlackBuild
+script.
diff --git a/audio/milkytracker/doinst.sh b/audio/milkytracker/doinst.sh
new file mode 100644
index 0000000000..af118956eb
--- /dev/null
+++ b/audio/milkytracker/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ ./usr/bin/update-desktop-database -q usr/share/applications
+fi
diff --git a/audio/milkytracker/milkytracker.SlackBuild b/audio/milkytracker/milkytracker.SlackBuild
new file mode 100644
index 0000000000..0da944aa98
--- /dev/null
+++ b/audio/milkytracker/milkytracker.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# Slackware build script for MilkyTracker
+
+# Written by nybyn (machpizza@gmail.com)
+
+PRGNAM=milkytracker
+VERSION=${VERSION:-0.90.80}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# make didn't like -O2
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# build configuration
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man
+
+# build & install
+make || exit
+make install DESTDIR=$PKG || exit 1
+
+# Manually copy desktop file and icon
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cp $CWD/milkytracker.desktop $PKG/usr/share/applications
+cp resources/pictures/carton.png $PKG/usr/share/pixmaps/milkytracker-icon-128.png
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+
diff --git a/audio/milkytracker/milkytracker.desktop b/audio/milkytracker/milkytracker.desktop
new file mode 100644
index 0000000000..75f59b210b
--- /dev/null
+++ b/audio/milkytracker/milkytracker.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Encoding=UTF-8
+Name=MilkyTracker
+GenericName=Tracker
+Exec=milkytracker
+Icon=/usr/share/pixmaps/milkytracker-icon-128.png
+Type=Application
+Categories=Application;AudioVideo;AudioVideoEditing
diff --git a/audio/milkytracker/milkytracker.info b/audio/milkytracker/milkytracker.info
new file mode 100644
index 0000000000..e436a56c1a
--- /dev/null
+++ b/audio/milkytracker/milkytracker.info
@@ -0,0 +1,8 @@
+PRGNAM="milkytracker"
+VERSION="0.90.80"
+HOMEPAGE="http://www.milkytracker.net/"
+DOWNLOAD="http://www.milkytracker.net/files/milkytracker-0.90.80.tar.bz2"
+MD5SUM="f8090ac13ec2f3cf89af483d1483d16c"
+MAINTAINER="Nikolas Nyby"
+EMAIL="machpizza@gmail.com"
+APPROVED="David Somero"
diff --git a/audio/milkytracker/slack-desc b/audio/milkytracker/slack-desc
new file mode 100644
index 0000000000..3f6532fab9
--- /dev/null
+++ b/audio/milkytracker/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+milkytracker: MilkyTracker (an open source, multi-platform music tracker)
+milkytracker:
+milkytracker: MilkyTracker is a music editor inspired by the DOS program
+milkytracker: Fasttracker II. MilkyTracker can export .MOD and .XM file
+milkytracker: formats.
+milkytracker:
+milkytracker:
+milkytracker:
+milkytracker:
+milkytracker: MilkyTracker's website is http://www.milkytracker.net/
+milkytracker: